Bug 16840 - Upgrade from Version 6.2 crashes
Upgrade from Version 6.2 crashes
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-24 01:55 EDT by Kaufmann, Marc
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-22 12:33:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaufmann, Marc 2000-08-24 01:55:56 EDT
Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/gui.py", line 332, in run
    self.icw.run ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/gui.py", line 674, in run
    mainloop ()
  File "/var/tmp/gnome-python-root/usr/lib/python1.5/site-
packages/gtk.py", line 2554, in mainloop
    _gtk.gtk_main()
  File "/var/tmp/gnome-python-root/usr/lib/python1.5/site-
packages/gtk.py", line 125, in __call__
    ret = apply(self.func, a)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/gui.py", line 408, in 
nextClicked
    next = self.currentScreen.getNext ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/iw/examine_gui.py", line 
19, in getNext
    self.todo.upgradeFindPackages (self.root)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 916, in 
upgradeFindPackages
    self.getCompsList ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 531, in 
getCompsList
    self.comps = self.method.readComps(self.hdList)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/image.py", line 15, in 
readComps
    return ComponentSet(self.tree + '/RedHat/base/comps', hdlist)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/comps.py", line 469, in 
__init__
    self.readCompsFile(file, self.packages, arch, matchAllLang)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/comps.py", line 371, in 
readCompsFile
    raise TypeError, "comp file version 3 or 4 expected"
TypeError: comp file version 3 or 4 expected

Local variables in innermost frame:
arch2: i686
Comment 1 Nalin Dahyabhai 2000-08-24 02:03:50 EDT
Reassigning to anaconda.
Comment 2 Michael Fulbright 2000-08-24 10:02:53 EDT
What type of upgrade (CDROM, nfs, etc) are you trying?

Comment 3 Kaufmann, Marc 2000-08-25 01:27:28 EDT
A CD-Upgrade.
Comment 4 Mike Smith 2000-09-10 17:34:15 EDT
I'm seeing the same problem with a cdrom upgrade on a Dell Latitude CPi running 
RedHat 6.2.

Traceback (innermost last):
  File "/usr/bin/anaconda", line 426, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 1020, in run
    rc = apply (step[1](), (dir,) + step[2])
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/text.py", line 279, in __call__
    todo.upgradeFindPackages (root)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 990, in 
upgradeFindPackages
    deps = self.verifyDeps ()
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/todo.py", line 768, in 
verifyDeps
    self.fstab.umountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.0//usr/lib/anaconda/fstab.py", line 487, in 
umountFilesystems
    isys.umount(mntPoint, removeDir = 0)
  File "/usr/lib/anaconda/isys.py", line 116, in umount
    mountCount[what] = mountCount - 1
TypeError: bad operand type(s) for -

Local variables in innermost frame:
what: /mnt/sysimage
removeDir: 0

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6
Comment 5 Michael Fulbright 2000-10-24 11:58:56 EDT
Please try the final release and let us know if you continue to have problems.
Comment 6 Kaufmann, Marc 2000-11-23 00:38:38 EST
I have no problems with the final release!

Note You need to log in before you can comment on or make changes to this bug.